Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface AbstractInformationControlManager.IInformationControlCloser

All Known Implementing Classes:
  AnnotationBarHoverManager.Closer

Enclosing interface:
  AbstractInformationControlManager

public static interface AbstractInformationControlManager.IInformationControlCloser

Interface of an information control closer. An information control closer monitors its information control and its subject control and closes the information control if necessary.

Clients must implement this interface in order to equip an information control manager accordingly.

Method Summary
`void` | `setInformationControl(IInformationControl control)` Sets the closer's information control, the one to close if necessary.
`void` | `setSubjectControl(Control subject)` Sets the closer's subject control.
`void` | `start(Rectangle subjectArea)` Tells this closer to start monitoring the subject and the information control.
`void` | `stop()` Tells this closer to stop monitoring the subject and the information control.

Method Detail

### setSubjectControl

    public void setSubjectControl(Control subject)

  Sets the closer's subject control. This is the control that parents the information control and from which the subject of the information to be shown is retrieved.

  Must be called before `start`. May again be called between `start` and `stop`.

  Parameters:
    `subject` - the subject control

### setInformationControl

    public void setInformationControl(IInformationControl control)

  Sets the closer's information control, the one to close if necessary.

  Must be called before `start`. May again be called between `start` and `stop`.

  Parameters:
    `control` - the information control

### start

    public void start(Rectangle subjectArea)

  Tells this closer to start monitoring the subject and the information control. The presented information is considered valid for the given area of the subject control's display.

  Parameters:
    `subjectArea` - the area for which the presented information is valid

### stop

    public void stop()

  Tells this closer to stop monitoring the subject and the information control.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.